---
title: 100 Continue
slug: Web/HTTP/Status/100
tags:
  - HTTP
  - Informational
  - Status code
---
<div>{{HTTPSidebar}}</div>

<p>The HTTP <strong><code>100 Continue</code></strong> informational status response code indicates that everything so far is OK and that the client should continue with the request or ignore it if it is already finished.</p>

<p>To have a server check the request's headers, a client must send {{HTTPHeader("Expect")}}<code>: 100-continue</code> as a header in its initial request and receive a <code>100 Continue</code> status code in response before sending the body.</p>

<h2 id="Status">Status</h2>

<pre class="syntaxbox">100 Continue</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Title</th>
  </tr>
  <tr>
   <td>{{RFC("7231", "100 Continue" , "6.2.1")}}</td>
   <td>Hypertext Transfer Protocol (HTTP/1.1): Semantics and Content</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("http.status.100")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPHeader("Expect")}}</li>
 <li>{{HTTPStatus(417)}}</li>
</ul>
